QGIS Application - Bug report #8466
wrong resizing when rotating composer shapes (composer)
2013-08-14 01:54 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 17234
Description

When you rotate a shape (like triangle) in composer it size changes, while the size should NOT change.

Looking into the code, it seems that there is some code which tries to resize the enclosing rectangle, but this resizing is applied to both the
rectangle AND the object. In the case of the triangle, the triangle sticks out of the rectangle, which cause repaint problems also.

This bug manifests itself also when resizing a label, related to: #7933

History

#1 - 2013-08-14 02:05 AM - Richard Duivenvoorde
- Category set to Map Composer/Printing

#2 - 2013-12-01 03:11 AM - Nyall Dawson
- Assignee set to Nyall Dawson

#3 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2025-04-27 1/1



http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

